#if !defined(AFX_DLGEMFIMAGESELECT_H__5E14B261_A3E3_4A7A_A3A2_1F1E1B2C0DEF__INCLUDED_)
#define AFX_DLGEMFIMAGESELECT_H__5E14B261_A3E3_4A7A_A3A2_1F1E1B2C0DEF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgEmfImageSelect.h : _xZkqqHx_iDhHiDgCiDfPiBfL_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "DlgEmfImageSelectSub.h"	// For FD_EMF_IMAGE_HEADER_INN.
#include "DialogBase.h"		// For Baseclass.

#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CFCDialogBase

/////////////////////////////////////////////////////////////////////////////
// CFCDlgEmfImageSelect _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

class CFCDlgEmfImageSelect : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

// _xZkqqHx_iDfCiDjDiDfIiDgHiDiJiDeOiDfGiDiHiDjD_xHqqkZx_
public:
	CFCDlgEmfImageSelect(CWnd* pParent = NULL);   // _xZkqqHx_jFfHiPiAiCmMiDfCiDjDiDfIiDgHiDiJiDeOiDfO_xHqqkZx_

// _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_ _xZkqqHx_iDgGiBfLiDfO_xHqqkZx_
	//{{AFX_DATA(CFCDlgEmfImageSelect)
	enum { IDD = IDD_COM_EMF_IMAGE_SELECT };
		// _xZkqqHx_iDiBiDiC_xHqqkZx_: ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDgGiBfLiDfO_xHqqkZx_ _xZkqqHx_iDiBiDjDiDgPiCpAjCmHiJmBiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA

FD_EMF_IMAGE_HEADER_INN

// _xZkqqHx_iDeJiBfLiDgPiBfLiDiJiDeDiDgI_xHqqkZx_
	// ClassWizard _xZkqqHx_iCmNiJlMjBhKiKnGjAjEiCmMiDeJiBfLiDgPiBfLiDiJiDeDiDgIiCpAjAlGjAkMiClFiCnMiClHiBeC_xHqqkZx_
	//{{AFX_VIRTUAL(CFCDlgEmfImageSelect)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV _xZkqqHx_iDfEiDhMiBfLiDgH_xHqqkZx_
	//}}AFX_VIRTUAL

// _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_
protected:

	// _xZkqqHx_jAlGjAkMiClDiCoKiClNiDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDhNiDgCiDhGiKnGjAjE_xHqqkZx_
	//{{AFX_MSG(CFCDlgEmfImageSelect)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	virtual void OnOK();
	afx_msg void OnEmiBtnEmfImageAdd();
	afx_msg void OnEmiBtnEmfImageDelete();
	afx_msg void OnEmiBtnEmfImageModify();
	afx_msg void OnEmiBtnImportOn();
	afx_msg void OnEmiBtnFileImport();
	afx_msg void OnEmiBtnCopyImport();
	//}}AFX_MSG
	afx_msg LRESULT OnUserMtrxSelchanged(WPARAM wParam = 0, LPARAM lParam = 0);
	afx_msg LRESULT OnUserMultictrlChanged(WPARAM wParam = 0, LPARAM lParam = 0);
	DECLARE_MESSAGE_MAP()
}; // class CFCDlgEmfImageSelect.

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ _xZkqqHx_iCmNjBePiNhDiCmMjClMjBePiCmJjCmHiJmBiCmMjAoJiMlOiCpAjBhNjDpMiClFiCnMiClHiBeC_xHqqkZx_

#endif // !defined(AFX_DLGEMFIMAGESELECT_H__5E14B261_A3E3_4A7A_A3A2_1F1E1B2C0DEF__INCLUDED_)
